/***************************************************************************
 *   Copyright (C) 2004 by Georges A.K.                                    *
 *   georgesak@spymac.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kcmdlineargs.h>

#include "kbeamapp.h"
#include "kbeamtray.h"


KBeamApp::KBeamApp()
	: KUniqueApplication()
{
	//Create new KBeamTray and set it our main widget
	mTrayIcon = new KBeamTray();
	setMainWidget(mTrayIcon);

	mFirstNewInstance = true;
}

KBeamApp::~ KBeamApp()
{
	delete mTrayIcon;
}

int KBeamApp::newInstance()
{
	KCmdLineArgs *lArgs = KCmdLineArgs::parsedArgs();

	disableSessionManagement();

	/* mFirstNewInstance is a hack to check if our instance is the first one 
	   or if KBeam is already running.
	   Thank you KBluetooth, this is "inspired" form your code ;)
	   if it's not the first KBeam, we force the tray icon to be shown */
	bool lOk = mTrayIcon->start(lArgs->isSet("forceicon"), mFirstNewInstance);

	if (lArgs->count()) {
		mTrayIcon->dcopSendFile(lArgs->arg(0));
	}

	lArgs->clear();
	if (!lOk) {
		quit();
	}

	mFirstNewInstance = false;

	return 0;
}

