/***************************************************************************
 *   Copyright (C) 2004 by Georges A.K.                                    *
 *   georgesak@spymac.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KBEAMAPP_H_
#define _KBEAMAPP_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kuniqueapplication.h>
#include <qguardedptr.h>

class KBeamTray;


/** This class inherites from KUniqueApplication and makes sure that only one 
	instance on KBeam is running at all time

 * @short The unique application
 * @author Georges A.K. <georgesak@spymac.com>
 */
 
class KBeamApp : public KUniqueApplication
{

	Q_OBJECT

public:

	/** Constructor */
	KBeamApp();
	/** Destructor */
	~KBeamApp();

	/** Reimplemented from KUniqueApplication */
	virtual int newInstance();

private:

	/** The tray icon, which is our main widget */
	QGuardedPtr<KBeamTray> mTrayIcon;
	/** Used to check if KBeam is already running. Check comment in code */
	bool mFirstNewInstance;

};

#endif // _KBEAMAPP_H_
