/***************************************************************************
 *   Copyright (C) 2004 by Georges A.K.                                    *
 *   georgesak@spymac.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KBEAMDEVICEFORM_H_
#define _KBEAMDEVICEFORM_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kdialogbase.h>
#include <qguardedptr.h>

class QListView;
class KBeamDeviceList;


/** This class inherits from KDialogBase and shows the list of devices in
	range. Devices are shown in a QListView with their name, their type,
	whether they support the Obex protocol and their address

 * @short Dialog that shows the deviecs in range
 * @author Georges A.K. <georgesak@spymac.com>
 */
 
class KBeamDeviceDlg : public KDialogBase
{

	Q_OBJECT

public:
	/** Default contructor */
	KBeamDeviceDlg(QWidget *pParent);
	/** Destructor */
	~KBeamDeviceDlg();

public slots:
	/** This slot updates the QListView to reflect any changes in the devices
	    connected */
	void slotUpdateDevices(const KBeamDeviceList &pDeviceList);

private:
	QGuardedPtr<QListView> mDeviceListView;

};

#endif // _KBEAMDEVICEFORM_H_
