/***************************************************************************
 *   Copyright (C) 2004 by Georges A.K.                                    *
 *   georgesak@spymac.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include "kbeamdevicelist.h"
#include "kbeamevent.h"


bool KBeamDeviceList::isDeviceNew(const KBeamDevice &pDevice) const
{
	for (int i=0;i<getNbDevices();i++) {
		if (pDevice == getDevice(i)) {
			return false;
		}
	}

	return true;
}

void KBeamDeviceList::updateDevices(const irda_device_list *pList)
{
	// TODO : Find a more elegant way of doing this
	// Find new devices
	for (unsigned int i=0;i<pList->len;i++) {
		if (isDeviceNew(KBeamDevice(pList->dev[i]))) {
			KBeamEvent::sendDeviceFound(KBeamDevice(pList->dev[i]));
		}
	}

	// Find lost devices
	for (int i=0;i<getNbDevices();i++) {
		bool lLost = true;
		for (unsigned int j=0;j<pList->len;j++) {
			if (getDevice(i) == KBeamDevice(pList->dev[j])) {
				lLost = false;
				break;
			}
		}
		if (lLost) {
			KBeamEvent::sendDeviceLost(getDevice(i));
		}
	}

	clear();

	for (unsigned int i=0;i<pList->len;i++) {
		push_back(KBeamDevice(pList->dev[i]));
	}
}
