/***************************************************************************
 *   Copyright (C) 2004 by Georges A.K.                                    *
 *   georgesak@spymac.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "kbeamobexheader.h"


KBeamObexHeader::KBeamObexHeader(Type pType, uint32_t pBq4, uint32_t pSize)
{
  mHi = pType;
  mHv.bq4 = pBq4;
  mHvSize = pSize;
}

KBeamObexHeader::KBeamObexHeader(Type pType, uint8_t pBq1, uint32_t pSize)
{
  mHi = pType;
  mHv.bq1 = pBq1;
  mHvSize = pSize;
}

KBeamObexHeader::KBeamObexHeader(Type pType, const uint8_t *pBs,
	uint32_t pSize)
{
  mHi = pType;
  mHv.bs = pBs;
  mHvSize = pSize;
}

KBeamObexHeader::KBeamObexHeader(uint8_t pType, obex_headerdata_t pHd,
	uint32_t pSize)
{
  mHi = pType;
  mHv = pHd;
  mHvSize = pSize;
}

KBeamObexHeader::~KBeamObexHeader ()
{
}

KBeamObexHeader::Type KBeamObexHeader::getType()
{
  return Type(mHi);
}

void KBeamObexHeader::data(uint32_t &pBq4, uint32_t &pSize)
{
  pBq4 = mHv.bq4;
  pSize = mHvSize;
}

void KBeamObexHeader::data(uint8_t &pBq1, uint32_t &pSize)
{
  pBq1 = mHv.bq1;
  pSize = mHvSize;
}

void KBeamObexHeader::data(const uint8_t *&pBs, uint32_t &pSize)
{
  pBs = mHv.bs;
  pSize = mHvSize;
}
