/***************************************************************************
 *   Copyright (C) 2004 by Georges A.K.                                    *
 *   georgesak@spymac.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _KBEAMPREFSDLG_H_
#define _KBEAMPREFSDLG_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kdialog.h>
#include <qguardedptr.h>

class QFrame;
class QCheckBox;


/** This class inherits from KDialog and displays the preferences dialog. It
    is never used directly, but through KConfigDialog

 * @short Dialog displaying user's preferences
 * @author Georges A.K. <georgesak@spymac.com>
 */

class KBeamPrefsDlg : public KDialog
{

	Q_OBJECT

public:

	/** Constructor */
	KBeamPrefsDlg();
	/** Destructor */
	~KBeamPrefsDlg();

private:

	/** Adds the tooltips and the whatsthis to the widgets */
	void addTips();

private slots:

	/** Called when the Always Show Icon is clicked */
	void slotAlwaysShowIconClicked();

private:

	QGuardedPtr<QFrame> mMainFrame;
	QGuardedPtr<QCheckBox> mAlwaysVisible;
	QGuardedPtr<QCheckBox> mAutoStart;

};

#endif // _KBEAMPREFSDLG_H_
