/***************************************************************************
 *   Copyright (C) 2004 by Georges A.K.                                    *
 *   georgesak@spymac.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kaboutdata.h>
#include <klocale.h>
#include <kcmdlineargs.h>

#include "kbeamapp.h"

static const char description[] =
	I18N_NOOP("A KDE application that lets you send and receive files using the infrared port");

static const char version[] = "0.61";

static KCmdLineOptions options[] =
{
    { "forceicon", I18N_NOOP("Forces the icon to be shown"), 0 },
    { "+URL", I18N_NOOP("File to send"), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
	KAboutData about("kbeam", I18N_NOOP("KBeam"), version, description,
					KAboutData::License_GPL, "(C) 2004 Georges A.K.", 0, 0, "georgesak@spymac.com");
	about.addAuthor( "Georges A.K.", 0, "georgesak@spymac.com" );
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions( options );
	if (!KUniqueApplication::start()) {
		exit(0);
	}

	KBeamApp lApp;

	// mainWin has WDestructiveClose flag by default, so it will delete itself.
	return lApp.exec();
}

